# tcppm

Section: Universal proxy server (8)
Updated: July 2009
Index Return to Main Contents

## NAME

tcppm - TCP port mapper

## SYNOPSIS

tcppm [-d] [-l[[@]logfile]] [-i internal_ip] [-e external_ip] local_port remote_host remote_port

## DESCRIPTION

tcppm forwards connections from local to remote TCP port

## OPTIONS

-I
  Inetd mode. Standalone service only.
-d
  Daemonise. Detach service from console and run in the background.
-t
  Be silenT. Do not log start/stop/accept error records.
-e
  External address. IP address of interface proxy should initiate connections from. By default system will deside which address to use in accordance with routing table.
-i
  Internal address. IP address proxy accepts connections to. By default connection to any interface is accepted. It's usually unsafe.
-l
  Log. By default logging is to stdout. If logfile is specified logging is to file. Under Unix, if '@' preceeds logfile, syslog is used for logging.

## ARGUMENTS

local_port
  - port tcppm accepts connection
remote_host
  - IP address of the host connection is forwarded to
remote_port
  - remote port connection is forwarded to

## CLIENTS

Any TCP based application can be used as a client. Use internal_ip and local_port as a destination in client application. Connection is forwarded to remote_host:remote_port

## BUGS

Report all bugs to 3proxy@security.nnov.ru

## SEE ALSO

3proxy(8), proxy(8), ftppr(8), socks(8), pop3p(8), udppm(8), syslogd(8),
http://3proxy.ru/

## AUTHORS

3proxy is designed by 3APA3A (3APA3A@security.nnov.ru), Vladimir Dubrovin (vlad@sandy.ru)

## Index

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
ARGUMENTS
CLIENTS
BUGS
SEE ALSO
AUTHORS

This document was created by using the manual pages.
Time: 11:38:09 GMT, December 11, 2009